> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch accounting configuration

> Returns the accounting configuration associated for the provided business.  This is the means by which you can see things such as the default reporting basis for a business or when the books are closed as of.



## OpenAPI

````yaml get /v1/businesses/{businessId}/accounting-config
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/accounting-config:
    get:
      tags: []
      summary: Fetch accounting configuration
      description: >-
        Returns the accounting configuration associated for the provided
        business.  This is the means by which you can see things such as the
        default reporting basis for a business or when the books are closed as
        of.
      operationId: business.accounting-config.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch the accounting configuration for.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAccountingConfiguration'
      deprecated: false
components:
  schemas:
    ApiAccountingConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the accounting configuration.
        business_id:
          type: string
          format: uuid
          description: Unique identifier for the business.
        default_reporting_basis:
          $ref: '#/components/schemas/ReportingBasis'
          nullable: true
          description: The default reporting basis for the business.
        category_list_type:
          $ref: '#/components/schemas/CategoryListMode'
          nullable: true
          description: >-
            The default subset of accounts that are fetched by the
            /businesses/:businessId/categories endpoint.
        closing_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            The timestamp of when the books are closed as of. If present,
            attempts to create ledger entries before this date will fail. This
            should only ever be set at the business level (rather than the
            platform level).
        match_rounding_threshold:
          type: integer
          format: int64
          nullable: true
          description: >-
            The maximum difference in cents allowed between bank transactions
            and invoice payments, bill payments, refund payments, or payouts.
            Defaults to 1 (one cent) if null.
        match_adjustment_threshold:
          type: number
          example: 0.1
          nullable: true
          description: >-
            The maximum percentage difference allowed between bank transactions
            and invoice/bill payments for matches to be suggested. Defaults to
            0.10 (10%) if null.
        disable_adjustment_match_suggestions:
          type: boolean
          nullable: true
          description: >-
            Whether the system will suggest matches with adjustments up to a
            maximum percentage (default of 10%) for invoice and bill payments.
            Defaults to false (meaning adjustments are enabled) if null.
    ReportingBasis:
      type: string
      enum:
        - ACCRUAL
        - CASH
    CategoryListMode:
      type: string
      enum:
        - ALL_ACCOUNTS
        - REVENUE_AND_EXPENSES
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````